/* Display screen resolution settings */
 
if RxFuncQuery( "SysLoadFuncs" ) <> 0 then do
	call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
	call SysLoadFuncs
end

res = SysIni( "USER", "PM_DISPLAYDRIVERS", "DEFAULTSYSTEMRESOLUTION" )

if res = "ERROR:" then do
	say
	say "Error getting resolution"
	EXIT 1
end

horz = c2d( reverse( substr( res, 1, 4 ) ) )
vert = c2d( reverse( substr( res, 5, 4 ) ) )
cols = c2d( reverse( substr( res, 9, 4 ) ) )

say
say "Resolution: "||horz||" x "||vert||" @ "||cols||" colors"
